\usepackage[T1]{fontenc} % Use 8-bit encoding that has 256 glyphs
\usepackage{microtype} % Slightly tweak font spacing for aesthetics

\usepackage[english]{babel} % Language hyphenation and typographical rules

\usepackage[hmarginratio=1:1,top=32mm,columnsep=20pt,left=10mm,right=10mm]{geometry} % Document margins
\usepackage[hang, small,labelfont=bf,up,textfont=it,up]{caption} % Custom captions under/above floats in tables or figures

% optional \usepackage{lettrine} % The lettrine is the first enlarged letter at the beginning of the text

% optional \usepackage{enumitem} % Customized lists
% optional \setlist[itemize]{noitemsep} % Make itemize lists more compact

\usepackage{abstract} % Allows abstract customization
\renewcommand{\abstractnamefont}{\normalfont\bfseries} % Set the "Abstract" text to bold
\renewcommand{\abstracttextfont}{\normalfont\small\itshape} % Set the abstract itself to small italic text

\usepackage{titling} % Customizing the title section
\usepackage{hyperref} % For hyperlinks in the PDF
\setcounter{section}{-1}

\usepackage{color}
\usepackage{titlesec}
\setcounter{secnumdepth}{4}
\titleformat{\paragraph}{\normalfont\normalsize\bfseries}{\alph{paragraph}}{1em}{}
\titlespacing*{\paragraph}{0pt}{3.25ex plus 1ex minus .2ex}{1.5ex plus .2ex}

% official Art of Problem Solving pagkages (http://www.artofproblemsolving.com/)
\usepackage{amsmath,amsfonts , amssymb, amsthm, mathtools}
\usepackage{verbatim, subcaption, color, listings, anyfontsize}
\usepackage{graphicx}  % ignore not found images
\usepackage{hyperref}  % links

\graphicspath{{\figuresFolder/}}

\usepackage{pifont}  % cmarks

\usepackage{afterpage}
\newcommand{\blankpage}{%
    \null
    \thispagestyle{empty}%
    \addtocounter{page}{-1}%
    \newpage}

\usepackage[toc, page]{appendix}

\usepackage{booktabs}
\usepackage[table]{xcolor}  % row colors
\usepackage{subcaption}

\usepackage[capitalize,nameinlink]{cleveref}  % https://11011110.github.io/blog/2021/02/28/linkage.html
